#!/bin/bash

set -eu

BOORU='https://danbooru.donmai.us/'

trash() {
	local filename="$1"

	if [[ ! -d .trashes ]] ; then
		mkdir .trashes
	fi
	mv -- "${filename}" .trashes
}

main() {

	ls | grep sample- | while read -r file ; do
	
		local target="$(echo "$file" | sed -re 's/.*sample-//')"
	
		if [[ -f $target ]] ; then
			echo "$target exists already, skipping..."
			
		else
			echo "Getting ${target}..."		
			curl -q "${BOORU}/data/${target}" > $target
			
			# Ensure valid result
			local fsize = size=$(stat -c '%s' "$target")
			if (( fsize < 8192 )) ; then
				echo "WARNING: No match for ${target}"
				mv "$file" "$target"
				continue
			fi
			
		fi
		
		trash "$file"
		
	done

}

main "$@"
